<?php

declare(strict_types=1);

\tts\registry::get('di')->register('templates', function(array $arg) {
  $file_type = '.tpl';
  if (isset($arg[0]) && is_string($arg[0])) {
    $file_type = $arg[0];
  }
  return new \tts\liquid_templates($file_type);
});